//+------------------------------------------------------------------+
//|                                          HistoryPositionInfo.mqh |
//|                                  Copyright 2021, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2021, MetaQuotes Ltd."
#property link      "https://www.mql5.com"
#property version   "1.00"

struct HistoryPositionInfo {
   double position;
   double closePosition;
   datetime closePositionTime;
   datetime openPositionTime;
   int lastSignal;
};

HistoryPositionInfo createEmptyHistoryPosition(datetime initTimeParam) {
   return createHistoryPositionInfo(0,0,initTimeParam, initTimeParam,-1);
}

HistoryPositionInfo createHistoryPositionInfo(
   double position,
   double closePosition,
   datetime closePositionTime,
   datetime openPositionTime,
   int lastSignal) {
   HistoryPositionInfo historyPositionInfo;
   historyPositionInfo.position = position;
   historyPositionInfo.closePosition = closePosition;
   historyPositionInfo.closePositionTime = closePositionTime;
   historyPositionInfo.openPositionTime = openPositionTime;
   historyPositionInfo.lastSignal = lastSignal;
   return historyPositionInfo;
}